resource "kubernetes_service" "kubernetes_dashboard_service" {
  metadata {
    labels {
      app       = "kubernetes-dashboard"
      namespace = "kube-system"
    }
  }

  spec {
    port {
      port        = 443
      target_port = 8443
    }

    selector {
      app = "kubernetes-dashboard"
    }
  }
}
